<template>
  <div class="admin-page">
    <v-container grid-list-lg>
      <v-layout row wrap>
        <v-flex md12>
          <h1>Admin</h1>
          <p>Welkom op het adminpanel! Hier kun je alle zaken binnen de webshop bijhouden.</p>
        </v-flex>
        <v-divider></v-divider>
        <v-flex md12>
          <h3>Producten</h3>
          <v-data-table :items="products" :headers="headers.products" class="elevation-1">
            <template v-slot:items="props">
              <td>{{props.item.id}}</td>
              <td>{{ props.item.name }}</td>
              <td>{{props.item.price}}</td>
            </template>
          </v-data-table>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
export default {
  data() {
    return {
      products: [],
      headers: {
        products: [
          {
            text: "ID",
            sortable: true
          },
          {
            text: "Naam",
            sortable: true
          },
          {
            text: "Prijs",
            sortable: true
          }
        ]
      }
    };
  },

  async mounted() {
    this.products = await this.$productService.getAll();
  }
};
</script>

<style>
</style>
